> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.settlers/su.settlers.getsettlersinarea.md).

# SU.Settlers.GetSettlersInArea

## SU.Settlers.GetSettlersInArea(playerId, settlerType, x, y, radius)

Gibt die Entity-Ids der Siedler im gegebenen Bereich zurück.

Ist eine auf Siedler limitierte Version von [SU.Entity.GetEntitiesInArea](/s4-lua-api-de/su-library-functions/su.entity/su.entity.getentitiesinarea.md).

#### Parameter

* `playerId`: ID des Spielers (1-8), Index 0 ungültig, -1 wenn keine Spieler gefiltert werden sollen
* `settlerType`: [Settlers](/s4-lua-api-de/api-enums/settlers.md) , -1 wenn keine Siedler-Typen gefiltert werden sollen
* `x`: x-Koordinate des Bereichs
* `y`: y-Koordinate des Bereichs
* `radius`: Radius des Bereichs

#### Rückgabewert

* 1\. `lua-table` (Entity-IDs): Eine Lua-Tabelle der gefundenen Siedler-IDs.
* 2\. `number` (Anzahl): Die Gesamtzahl der gefundenen Siedler.
* **WICHTIG**: In Lua müssen **ALLE Rückgabewerte** explizit **Variablen zugewiesen werden**. Wird nur ein Wert (oder gar keiner) entgegengenommen, führt dies **beim Verlassen** der Karte oft zum **Absturz des Spiels**. Dies gilt für alle Funktionen.

#### Beispiel

<pre class="language-lua"><code class="lang-lua">local settlers, numSettlers = SU.Settlers.GetSettlersInArea(playerId, settlerType, x, y, radius)

local settlers, numSettlers = SU.Settlers.GetSettlersInArea(-1, -1, 115, 70, 10)
<strong>-- Alle Siedler bei 115/70 im Radius von 10
</strong>if numSettlers > 0 then
    dbg.stm(numSettlers) -- Anzahl der Siedler
    dbg.stm(settlers[1]) -- Erster Eintrag der Id Liste
end
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/su-library-functions/su.settlers/su.settlers.getsettlersinarea.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
